## Class Argument

- java.lang.Object
- - Argument

All Implemented Interfaces:
  java.io.Serializable

    public class Argument
    extends java.lang.Object
    implements java.io.Serializable

Gère un argument d'une méthode.

Author:
  V.BOULANGER
See Also:
  Serialized Form

### Field Summary

Fields
`static int` `_argumentId`

### Constructor Summary

Constructors
Constructor and Description
`Argument()` Constructeur - Crée une instance de Argument.
`Argument(java.lang.String type, java.lang.String name)` Constructeur - Crée une instance de Argument avec des paramètres donnés.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()` Récupère le numéro de l'argument.
`java.lang.String` `getName()` Récupère le nom de l'argument.
`java.lang.String` `getType()` Récupère le type de l'argument.
`void` `setName(java.lang.String name)` Paramètre le nom de l'argument.
`void` `setType(java.lang.String type)` Paramètre le type de l'argument.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _argumentId

    public static int _argumentId

### Constructor Detail

#### Argument

    public Argument()

Constructeur - Crée une instance de Argument.

#### Argument

    public Argument(java.lang.String type,
                    java.lang.String name)

Constructeur - Crée une instance de Argument avec des paramètres donnés.

Parameters:
  `type` - Le type de l'argument.
  `name` - Le nom de l'argument.

### Method Detail

#### getId

    public int getId()

Récupère le numéro de l'argument.

Returns:
  Le numéro de l'argument.

#### getType

    public java.lang.String getType()

Récupère le type de l'argument.

Returns:
  Le type de l'argument.

#### setType

    public void setType(java.lang.String type)

Paramètre le type de l'argument.

Parameters:
  `type` - Le type de l'argument.

#### getName

    public java.lang.String getName()

Récupère le nom de l'argument.

Returns:
  Le nom de l'argument.

#### setName

    public void setName(java.lang.String name)

Paramètre le nom de l'argument.

Parameters:
  `name` - Le nom de l'argument.